Estimated price per pack or per dose should be clarified

08/24/2016 03:35 AM - Oleksii Kurasov

Status: Closed Start date: 08/24/2016

Priority: Urgent Due date: 08/26/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

See to Attachment. This form is estimated price per dose, not per pack. We understand that estimated price per dose is hardly to

determine. Therefore future clarification will be needed!

History

#1 - 08/24/2016 05:04 AM - Oleksii Kurasov

- Assignee set to Oleksii Kurasov

- Priority changed from Normal to Urgent

#2 - 08/30/2016 06:20 AM - Oleksii Kurasov

- Status changed from New to Resolved

#3 - 09/02/2016 03:02 AM - Oleksii Kurasov

- Status changed from Resolved to Closed
